Relesys API Docs

v1.4

https://api.uat.relesystest.net/api/v1.4

Participation

List
GET /calendarmodules/{moduleId}/calendars/{calendarId}/participation
https://api.uat.relesystest.net/api/v1.4/calendarmodules/{moduleId}/calendars/{calendarId}/participation
Get a list of event participations.

attendanceConfirmed will only be set if attendance confirmation is enabled on the related calendar event - otherwise it will be null.

Default sort is by creationDateTime in ascending order.
Scopes: relesys.api, relesys.api:read, relesys.api.calendars, relesys.api.calendars:read
URL Path
moduleId string / guid required
calendarId string / guid required
Query String
attendanceConfirmed boolean Filterable optional
creationDateTime datetimeoffset Filterable Sortable optional
eventId string / guid Filterable optional
fillingId string / guid Filterable optional
id string / guid Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
status string Filterable Sortable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":3,"data":[{"id":"e7bff908-9cb3-4a85-94c7-ea4500249558","url":null,"eventId":"02daf681-a667-4565-b4ee-125c63d64178","eventUrl":null,"userId":"673cd6e1-352c-4e57-bdbc-9c46da574a48","userUrl":null,"status":"Attending","attendanceConfirmed":false,"fillingId":"4a4ff188-69c8-4146-b484-7dbac4babc7c","fillingUrl":null,"creationDateTime":"2026-06-22T17:47:16.5024913+00:00","lastModifiedDateTime":"2026-06-23T17:47:16.5024913+00:00"},{"id":"96553560-b254-4bc2-ad6f-2f1b00156b01","url":null,"eventId":"adca715f-7dd1-453f-9884-3d0d6a14c754","eventUrl":null,"userId":"c0c69461-08a6-4bc7-89ca-770ac2acc184","userUrl":null,"status":"Tentative","attendanceConfirmed":true,"fillingId":null,"fillingUrl":null,"creationDateTime":"2026-06-23T17:47:16.5024913+00:00","lastModifiedDateTime":null},{"id":"67784135-fe21-4e6e-9b56-76fa29007e0e","url":null,"eventId":"974162f4-bb7d-40d8-b5a5-399d33ced97d","eventUrl":null,"userId":"1a3073df-b614-4a6d-8479-2ae9cc8002af","userUrl":null,"status":"Not attending","attendanceConfirmed":null,"fillingId":"833a15a8-6272-46ac-aeb5-540f70adf629","fillingUrl":null,"creationDateTime":"2026-06-23T17:47:16.5024913+00:00","lastModifiedDateTime":null}]}
object
  count integer      
  data array[object]      
   attendanceConfirmed boolean      
   creationDateTime datetimeoffset      
   eventId string / guid      
   eventUrl string      
   fillingId string / guid      
   fillingUrl string      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   status string      
   url string      
   userId string / guid      
   userUrl string      
  nextUrl string      
  previousUrl string